[arch-commits] Commit in hplip/repos (6 files)

Eric Bélanger eric at archlinux.org
Sat Oct 1 22:49:31 EDT 2011


    Date: Saturday, October 1, 2011 @ 22:49:31
  Author: eric
Revision: 139475

db-move: moved hplip from [testing] to [extra] (i686)

Added:
  hplip/repos/extra-i686/PKGBUILD
    (from rev 139472, hplip/repos/testing-i686/PKGBUILD)
  hplip/repos/extra-i686/hplip-cups-1.5.0-compatibility.patch
    (from rev 139472, hplip/repos/testing-i686/hplip-cups-1.5.0-compatibility.patch)
  hplip/repos/extra-i686/hplip.install
    (from rev 139472, hplip/repos/testing-i686/hplip.install)
Deleted:
  hplip/repos/extra-i686/PKGBUILD
  hplip/repos/extra-i686/hplip.install
  hplip/repos/testing-i686/

--------------------------------------+
 PKGBUILD                             |  138 ++++++++++++++++-----------------
 hplip-cups-1.5.0-compatibility.patch |   10 ++
 hplip.install                        |   20 ++--
 3 files changed, 91 insertions(+), 77 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2011-10-02 02:49:30 UTC (rev 139474)
+++ extra-i686/PKGBUILD	2011-10-02 02:49:31 UTC (rev 139475)
@@ -1,67 +0,0 @@
-# $Id$
-# Maintainer : Rémy Oudompheng <remy at archlinux.org>
-# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
-
-pkgname=hplip
-pkgver=3.11.7
-pkgrel=1
-pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
-arch=('i686' 'x86_64')
-url="http://hplipopensource.com"
-license=('GPL')
-makedepends=('python2-qt' 'pygobject' 'pkgconfig' 'sane' 'rpcbind' 'cups')
-depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
-	'libcups>=1.3.10-3' 'net-snmp>=5.6.1' 'libusb-compat')
-optdepends=('cups: for printing support'
-            'dbus-python: for dbus support'
-            'sane: for scanner support'
-            'python-imaging: for commandline scanning support'
-            'python-notify: for Desktop notification support'
-            'rpcbind: for network support'
-            'python2-qt: for running hp-toolbox'
-            'pygobject: for running hp-toolbox'
-            'hplip-plugin: binary blobs for specific devices')
-replaces=('hpijs')
-options=('!libtool')
-install=hplip.install
-source=("http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz")
-md5sums=('5cb89a00b0c680d8bf9bf4b4f1f863b1')
-
-build() {
- cd "$srcdir/$pkgname-$pkgver"
- export PYTHON=python2
- find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
- ./configure --prefix=/usr \
-             --enable-qt4 \
-             --enable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install \
-             --enable-hpcups-install \
-             --enable-cups-drv-install \
-             --enable-hpijs-install \
-             --enable-foomatic-drv-install \
-             --enable-pp-build \
-             --enable-udev-acl-rules
-
- make
-}
-
-package() {
- cd "$srcdir/$pkgname-$pkgver"
- make DESTDIR="$pkgdir/" install
-
- rm -rf "$pkgdir/etc/sane.d"
- # remove autostart of hp-daemon
- rm -r "$pkgdir/etc/xdg"
- # move udev rules to /lib/udev/rules.d
- mkdir -p "$pkgdir/lib/udev/rules.d"
- mv "$pkgdir"/etc/udev/rules.d/* "$pkgdir/lib/udev/rules.d/"
- rm -r "$pkgdir/etc/udev"
- # remove lp user, it's not used on archlinux
- sed -i 's|OWNER="lp", ||g' "$pkgdir/lib/udev/rules.d/40-hplip.rules"
- # fix sysfs rules
- sed -i -e "s|SYSFS|ATTR|g" \
-        -e "s|sysfs|attr|g" \
-        -e 's|"bin/sh|"/bin/sh|g' \
-   "$pkgdir/lib/udev/rules.d/56-hpmud_support.rules"
-}
-

Copied: hplip/repos/extra-i686/PKGBUILD (from rev 139472, hplip/repos/testing-i686/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2011-10-02 02:49:31 UTC (rev 139475)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.11.7
+pkgrel=2
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+makedepends=('python2-qt' 'python2-gobject2' 'pkg-config' 'sane' 'rpcbind' 'cups')
+depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
+	'libcups>=1.3.10-3' 'net-snmp>=5.7.1' 'libusb-compat')
+optdepends=('cups: for printing support'
+            'dbus-python: for dbus support'
+            'sane: for scanner support'
+            'python-imaging: for commandline scanning support'
+            'python-notify: for Desktop notification support'
+            'rpcbind: for network support'
+            'python2-qt: for running hp-toolbox'
+            'pygobject: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices')
+replaces=('hpijs')
+options=('!libtool')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
+        hplip-cups-1.5.0-compatibility.patch)
+md5sums=('5cb89a00b0c680d8bf9bf4b4f1f863b1'
+         'f4422ee0dc842e1a53b75c24f468d65c'
+         'a767000ce920e9f7f6a5b0a8e4392ef9')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 -i "$srcdir/hplip-cups-1.5.0-compatibility.patch"
+ export PYTHON=python2
+ find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --enable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build \
+             --enable-udev-acl-rules
+
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir/" install
+
+ rm -rf "$pkgdir/etc/sane.d"
+ # remove autostart of hp-daemon
+ rm -r "$pkgdir/etc/xdg"
+ # move udev rules to /lib/udev/rules.d
+ mkdir -p "$pkgdir/lib/udev/rules.d"
+ mv "$pkgdir"/etc/udev/rules.d/* "$pkgdir/lib/udev/rules.d/"
+ rm -r "$pkgdir/etc/udev"
+ # remove lp user, it's not used on archlinux
+ sed -i 's|OWNER="lp", ||g' "$pkgdir/lib/udev/rules.d/40-hplip.rules"
+ # fix sysfs rules
+ sed -i -e "s|SYSFS|ATTR|g" \
+        -e "s|sysfs|attr|g" \
+        -e 's|"bin/sh|"/bin/sh|g' \
+   "$pkgdir/lib/udev/rules.d/56-hpmud_support.rules"
+}
+

Copied: hplip/repos/extra-i686/hplip-cups-1.5.0-compatibility.patch (from rev 139472, hplip/repos/testing-i686/hplip-cups-1.5.0-compatibility.patch)
===================================================================
--- extra-i686/hplip-cups-1.5.0-compatibility.patch	                        (rev 0)
+++ extra-i686/hplip-cups-1.5.0-compatibility.patch	2011-10-02 02:49:31 UTC (rev 139475)
@@ -0,0 +1,10 @@
+--- hplip-3.11.7~/prnt/hpps/hppsfilter.c	2011-07-24 18:58:05.000000000 +0000
++++ hplip-3.11.7/prnt/hpps/hppsfilter.c	2011-08-09 20:51:54.150214165 +0000
+@@ -38,6 +38,7 @@
+ #include <unistd.h>
+ #include <fcntl.h>
+ #include <cups/cups.h>
++#include <cups/ppd.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ 

Deleted: extra-i686/hplip.install
===================================================================
--- extra-i686/hplip.install	2011-10-02 02:49:30 UTC (rev 139474)
+++ extra-i686/hplip.install	2011-10-02 02:49:31 UTC (rev 139475)
@@ -1,10 +0,0 @@
-post_install() {
-  cat << EOF
-
-NOTE
-----
-# If you want to use this driver with sane:
-#  echo "hpaio" >> /etc/sane.d/dll.conf
-
-EOF
-}

Copied: hplip/repos/extra-i686/hplip.install (from rev 139472, hplip/repos/testing-i686/hplip.install)
===================================================================
--- extra-i686/hplip.install	                        (rev 0)
+++ extra-i686/hplip.install	2011-10-02 02:49:31 UTC (rev 139475)
@@ -0,0 +1,10 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}



More information about the arch-commits mailing list